From 3b24763d15945c8683caab40af872516f7f258a0 Mon Sep 17 00:00:00 2001
From: Caleb JA <skywise@tutanota.de>
Date: Sun, 7 Jul 2019 16:03:44 -0400
Subject: [PATCH 1/2] New package: oilshell-0.6.0

---
 srcpkgs/oilshell/template | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)
 create mode 100644 srcpkgs/oilshell/template

diff --git a/srcpkgs/oilshell/template b/srcpkgs/oilshell/template
new file mode 100644
index 00000000000..11b14b7c856
--- /dev/null
+++ b/srcpkgs/oilshell/template
@@ -0,0 +1,38 @@
+# Template file for 'oilshell'
+pkgname=oilshell
+version=0.6.0
+revision=1
+archs="x86_64*"
+wrksrc=oil-${version}
+build_style=configure
+configure_args="--prefix=/usr --with-readline"
+makedepends="readline-devel"
+short_desc="Oil, a new unix shell"
+maintainer="Caleb JA <skywise@tutanota.de>"
+license="Apache-2.0"
+homepage="https://www.oilshell.org"
+distfiles="${homepage}/download/oil-${version}.tar.xz"
+checksum=141e3a5c1997a696d65747966978aaa38921d77e303aad9e77b4ab4aedab84b7
+register_shell="/usr/bin/osh"
+nostrip=yes
+
+pre_build() {
+	# Remove the strip wrapper
+	rm -f "${XBPS_WRAPPERDIR}"/strip
+}
+
+do_install() {
+	# Remove the strip wrapper
+	rm -f "${XBPS_WRAPPERDIR}"/strip
+
+	# Install binaries
+	vbin _bin/oil.ovm
+	# Symlink osh, oshc to oil.ovm.
+	cd "${DESTDIR}"/usr/bin
+	ln -s oil.ovm osh
+	ln -s oil.ovm oshc
+}
+
+post_install() {
+	vlicense LICENSE.txt
+}
\ No newline at end of file

From ef888c6ff02411a35478835b1a96e93c8b611c0a Mon Sep 17 00:00:00 2001
From: Caleb JA <skywise@tutanota.de>
Date: Sun, 7 Jul 2019 21:55:07 -0400
Subject: [PATCH 2/2] New package: oilshell-0.6.0

remove nocross and arch
---
 srcpkgs/oilshell/template | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 srcpkgs/oilshell/template

diff --git a/srcpkgs/oilshell/template b/srcpkgs/oilshell/template
new file mode 100644
index 00000000000..fd00b1c4c0e
--- /dev/null
+++ b/srcpkgs/oilshell/template
@@ -0,0 +1,36 @@
+# Template file for 'oilshell'
+pkgname=oilshell
+version=0.6.0
+revision=1
+wrksrc=oil-${version}
+build_style=configure
+configure_args="--prefix=/usr --with-readline"
+makedepends="readline-devel"
+short_desc="Oil, a new unix shell"
+maintainer="Caleb JA <skywise@tutanota.de>"
+license="Apache-2.0"
+homepage="https://www.oilshell.org"
+distfiles="${homepage}/download/oil-${version}.tar.xz"
+checksum=141e3a5c1997a696d65747966978aaa38921d77e303aad9e77b4ab4aedab84b7
+register_shell="/usr/bin/osh"
+
+pre_build() {
+	# Remove the strip wrapper
+	rm -f "${XBPS_WRAPPERDIR}"/strip
+}
+
+do_install() {
+	# Remove the strip wrapper
+	rm -f "${XBPS_WRAPPERDIR}"/strip
+
+	# Install binaries
+	vbin _bin/oil.ovm
+	# Symlink osh, oshc to oil.ovm.
+	cd "${DESTDIR}"/usr/bin
+	ln -s oil.ovm osh
+	ln -s oil.ovm oshc
+}
+
+post_install() {
+	vlicense LICENSE.txt
+}
\ No newline at end of file
